# $Id: smeserver-webconsole.spec,v 1.1 2013/03/04 00:33:05 unnilennium Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: MindTerm for SME Server
%define name smeserver-webconsole
Name: %{name}
%define version 0.0.1
%define release 8
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: dmc-mitel-webconsole

%description
%name is an implementation of http://www.appgate.com/mindterm on SME Server.
Access via https://yourdomain.com/webconsole.

%changelog
* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Sat Dec 23 2006 Darrell May <dmay@myezserver.com>
- upgraded to MindTerm 3.0.1
- [0.0.1-7]
* Wed May 18 2005 Darrell May <dmay@myezserver.com>
- upgraded to MindTerm 2.4.2
- added support for SME 7.x
- [0.0.1-6]
* Sat Oct 12 2002 Darrell May <dmay@netsourced.com>
- upgraded to MindTerm 2.3.1
- [0.0.1-5]
* Fri Oct 11 2002 Darrell May <dmay@netsourced.com>
- upgraded to MindTerm 2.3
- [0.0.1-4]
* Tue Mar 03 2002 Darrell May <dmay@netsourced.com>
- changed rights/ownership for security
- [0.0.1-3]
* Tue Mar 03 2002 Darrell May <dmay@netsourced.com>
- changed %post/%postun to graceful
- [0.0.1-2]
* Sun Sep 23 2001 Darrell May <dmay@netsourced.com>
- name change
* Fri May 25 2001 Darrell May <dmay@netsourced.com>
- 0.0.1-1
- Original version

%prep
%setup

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist \
$RPM_BUILD_ROOT \
| /bin/sed -e '/^.opt.administration.webconsole.*/s:^:%attr(0644,root,root):' \
> %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

